For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
How It WorksKnowledge BaseOnboardingVideo TutorialsPMS GuidanceAPI ReferenceRelease Notes
    • Overview
        • GETGet all data diffs
        • GETGet log by ID
        • GETGet a link to the job log raw request and response data of a write job.
        • GETQuery write job logs
        • GETGet logs
        • GETGet logs by job ID
        • GETGet all my integrations
        • POSTCreate an integration
        • GETGet all my users
        • GETGet user by id
        • GETCheck the status of a write operation
        • POSTRetry a write operation
        • GETGet integration by id
        • PUTUpdate an integration
        • DELDelete an integration
        • POSTTrigger a backsync on an integration.
        • POSTTrigger a manual sync on an integration.
        • GETGet data access information for an integration.
        • POSTTrigger a data access check on an integration.
        • GETGet all my property configurations
        • GETGet all my property list configurations
        • POSTCreate a property list configuration
        • GETGet job schedules by integration id
        • GETGet custom enum mappings for normalizing PMS-specific field values
        • PUTBulk enable or disable property configurations
        • PUTUpdate a property configuration
        • PUTUpdate a property list configuration
        • GETThe current PMS rate limits associated with your integration.
        • GETGet job schedule by id
    • PMS Generic APIs
    • CRM Generic APIs
    • PMS APIs
    • CRM APIs
    • Download OpenAPI Spec
Dashboard
LogoLogo
Configuration APIsAdmin

Trigger a manual sync on an integration.

POST
/v1/admin/integrations/:integration_id/manual-sync
POST
/v1/admin/integrations/:integration_id/manual-sync
$curl -X POST https://api.propexo.com/v1/admin/integrations/integration_id/manual-sync \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "result": {
3 "success": true
4 }
5}
A manual sync operation overrides the configured sync schedule for an integration. This operation is typically used during testing phases but may be executed at any time as needed. However, frequent use of manual syncs is not recommended. For questions regarding sync operations, contact Propexo Support.
Was this page helpful?
Previous

Get data access information for an integration.

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

integration_idstringRequired
The ID of the resource.

Request

This endpoint expects an object.
sync_config_idstringOptional
The Propexo unique identifier for a sync configuration
models_to_synclist of enumsOptional
A list of the specific models to sync. This will only ingest the models specified during the sync and any relational models. For example, requesting "residents" and "leases" will also query their relational data. This can be used for times when only a limited amount of data would like to be synced. If you'd like this as part of your scheduled syncs, please contact Propexo support.

Response

Successful response
resultobject

Errors

400
Bad Request Error